body{
    background: #ffffff;
    height:100%;
    min-height: 100%;
    color: #3d4043;
    font-family: "Roboto", sans-serif;
}

html {
    scroll-behavior: smooth;
}

/*------------- header ------------------*/


.introduction {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: left;
    height: 100vh;
    width: 100%;
    position: relative;
    margin-top: -80px;
}

#main {
    background-image: url('/img/baner.webp');
    position: relative;
}

#main::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 1;
}

#main .content {
    position: relative;
    z-index: 2;
    color: white;
}

.introduction .content, .info .content{
    margin: auto;
    width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.introduction .logo{
    margin-top: 100px;
    width: 180px;
}

.introduction h1{
    display: block;
    color: #ffffff;
    font-weight: 900;
    font-size: 64px;
    margin: 15vw auto 10px auto;
    text-align: center;
    text-shadow: 0 0 10px rgba(255, 255, 255, 0.3);
}

.introduction h3{
    display: block;
    color: #ffffff;
    font-size: 25px;
    font-weight: 500;
    margin: 10px auto;
    text-align: center;
    text-shadow: 0 0 10px rgba(255, 255, 255, 0.3)
}

.stores{
    width: 100%;
    margin: 20px 0 0 0 ;
    justify-content: center;
    text-align: center;
}

.stores img {
    height: 60px;
    margin: 10px 5px;
    z-index: 8 !important;
}

.stores img:hover {
    opacity: 0.7;
}


@media only screen and (max-width: 1000px) and (min-height: 500px){
    .introduction h1{
        font-size: 52px;
        margin: 25vw auto 10px auto;
    }
}

@media only screen and (max-height: 499px){
    .introduction h1{
        font-size: 52px;
        margin: 5vw auto 10px auto;
    }
}

@media only screen and (max-width: 450px) {
    .introduction h1{
        margin: 45vw auto 10px auto;
    }
}

@media only screen and (max-width: 480px) {

    .introduction {
        margin-top: -140px;
    }
}
/*------------- sections ------------------*/



.welcome, .passion, .screens{
    background-image: -ms-linear-gradient(bottom, rgba(122,208,250,1) 0%, rgba(60,152,237,1) 70%);
    background-image: -moz-linear-gradient(bottom, rgba(122,208,250,1) 0%, rgba(60,152,237,1) 70%);
    background-image: -o-linear-gradient(bottom, rgba(122,208,250,1) 0%, rgba(60,152,237,1) 70%);
    background-image: -webkit-gradient(linear, left bottom, left top, color-stop(0, rgba(122,208,250,1)), color-stop(0.7, rgba(60,152,237,1)));
    background-image: -webkit-linear-gradient(bottom, rgba(122,208,250,1) 0%, rgba(60,152,237,1) 70%);
    background-image: linear-gradient(to top, rgba(122,208,250,1) 0%, rgba(60,152,237,1) 70%);
    color: #ffffff;
    display: flex;
    align-items: center;
}

.welcome img, .connect img, .passion img, .friends img {
    max-width: 100%;
    height: auto;
    margin: 100px auto;
}

.blue{
    color: #1097f7;
}

.dark{
    color: #3d4043;
}

.right-box, .left-box {
    max-width: 50%;
    flex: 1;
}

.right-box h1, .left-box h1 {
    display: inline-block;
    font-size: 32px;
    font-weight: 400;
}

.right-box .bold, .left-box .bold, .screens .bold {
    font-weight: 900;
}

.right-box h1, .left-box h1, .screens h1, .bold {
    display: inline;
    margin: 0;
}

.right-box span, .left-box span {
    display: block;
    margin-top: 30px;
    font-size: 20px;
    font-weight: 300;
}

.friends, .info{
    background-color: #f8f9fc;
    display: flex;
}

.connect{
    background-color: #ffffff;
    display: flex;
}

.connect img, .friends img {
    max-width: 60%;
    float: right;
    margin-right: 20%;
}

.welcome .right-box, .passion .right-box{
    margin: auto 10%;
}

.connect .left-box, .friends .left-box{
    margin: auto 10%;
}

.screens .content{
    margin: auto;
    width: 90%;
    padding: 100px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
}

.screens .opening, .screens .container{
    width: 100%;
}

.screens .container{
    margin-top: -100px;
}

.screens .container img {
    max-width: 18%;
    width: auto;
    margin-left: 5px;
    margin-right: 5px;
}

.screen_map{
    margin-top: 0 !important;
}

.screen_people{
    margin-top: 150px !important;
}

.screen_invitation{
    margin-top: 75px!important;
}

.screen_profile{
    margin-top: 200px !important;
}

.screen_edit{
    margin-top: 50px !important;
}

.info{
    padding: 150px 0;
}

.info .app-icon{
    width: 100px;
}

.info span{
    text-align: center;
    margin: 50px;
    font-size: 20px;
    font-weight: 300;
}

.join .content{
    margin: auto;
    width: 80%;
    padding: 100px 0;
    display: flex;
    flex-wrap: wrap;
}

.join .blue{
    background-color: #3c98ed;
}

.join .lightblue{
    background-color: #7ad0fa;
}

.join .text-box{
    width: 33.33%;
    padding-top: 33.33%;
    position: relative;
}

.join .image-box{
    width: 33.33%;
    position: relative;
}

.join .box-content {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: right;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 10%;
}

.blue span{
    font-weight: 300;
    color: #ffffff;
    font-size: 22px;
    line-height: 32px;
}

.lightblue span{
    font-weight: 500;
    color: #ffffff;
    font-size: 36px;
    line-height: 42px;
}

.join .flower img{
    width: 50%;
    position: absolute;
    bottom: 0;
    right: 10%;
}

.join .quote img{
    width: 40%;
    position: absolute;
    bottom: 20%;
    left: 10%;
}

.join .envelope img{
    width: 50%;
    position: absolute;
    bottom: 20%;
    right: 10%;
}

#emailField{
    margin-top: -70%;
}

input{
    width: 85%;
    margin: auto;
    display: block;
    padding: 10px 15px;
    border-radius: 5px;
    border: 2px solid #ffffff;
    background-color: transparent;
    outline: none;
    color: #ffffff;
}

input::placeholder {
    color: #f4f4f4;
    font-weight: 300;
}

button {
    background-color: #ffffff; /* Kolor tła */
    color: #3d4043;
    border: 1px solid #ffffff; /* Usunięcie obramowania */
    padding: 10px 30px;
    border-radius: 5px;
    float: right;
    margin-right: 7.5%;
    margin-top: 80px;
}

button:hover{
    background-color: transparent;
    color: #ffffff;
}

.thank-you{
    text-align: right;
    color: #C5E99B;
    font-size: 24px;
    margin-right: 7.5%;
}

.error{
    text-align: center;
    color: #FE4A49;
    font-size: 24px;
    margin-right: 7.5%;
}


@media only screen and (max-width: 1000px) {
    .welcome .right-box, .passion .right-box{
        margin: auto 5%;
    }
    .connect .left-box, .friends .left-box{
        margin: auto 5%;
    }
    .right-box h1, .left-box h1 {
        font-size: 28px;
    }
    .right-box span, .left-box span, .info span{
        font-size: 16px;
    }
    .join .text-box{
        width: 50%;
        padding-top: 50%;
    }
    .join .image-box{
        width: 50%;
    }
}

@media only screen and (max-width: 720px){
    .blue span{
        font-size: 20px;
        line-height: 32px;
    }
    .lightblue span{
        font-size: 32px;
        line-height: 42px;
    }
    .screens .container img {
        max-width: 33%;
        margin-bottom: 15px;
    }
    .screens .container{
        margin-top: 50px;
    }
    .screen_map, .screen_people, .screen_invitation, .screen_invitation,.screen_profile{
        margin-top: 0 !important;
    }
    .screen_edit{
        display: none;
    }
    .blue span{
        font-size: 18px;
        line-height: 28px;
    }
    .lightblue span{
        font-size: 28px;
        line-height: 38px;
    }
    #emailField{
        margin-top: -80% !important;
    }
    button {
        margin-top: 50px;
    }
}

@media only screen and (max-width: 680px) {
    .welcome, .passion, .screens, .friends, .connect {
        flex-direction: column;
        padding: 80px 0;
    }
    .screens .content {
        padding: 50px 0;
    }
    .right-box, .left-box {
        max-width: 100%;
    }
    .welcome img, .connect img, .passion img, .friends img, .connect img {
        display: block;
        max-width: 50%;
        margin: 50px auto 20px auto;
        float: unset;
    }
    .connect img {
        max-width: 40%;
    }
    .right-box h1, .left-box h1 {
        font-size: 32px;
    }
    .right-box span, .left-box span, .info span {
        font-size: 20px;
    }
}

@media only screen and (max-width: 555px) {
    .join .text-box{
        width: 100%;
        padding-top: 50%;
    }
    .join .image-box{
        display: none;
    }
    .lightblue span{
        font-size: 28px;
        line-height: 38px;
    }
    .screens .container img {
        max-width: 40%;
        margin-bottom: 15px;
    }
    #emailField{
        margin-top: -40% !important;
    }
}

@media only screen and (max-width: 480px){
    .right-box h1, .left-box h1 {
        font-size: 26px;
    }
    .right-box span, .left-box span, .info span {
        font-size: 16px;
    }
    .info{
        padding: 100px 0;
    }
    button {
        margin-top: 20px;
        margin-bottom: 20px;
    }
}

@media only screen and (max-width: 425px) {
    .introduction .logo{
        margin-top: 80px;
        width: 120px;
    }
    .introduction h1{
        font-size: 36px;
    }
    .introduction h3{
        font-size: 20px;
    }
    .stores img {
        height: 50px;
        margin: 5px;
    }
}

/*------------- other ------------------*/

.description{
    width: 80%;
    display: block;
    margin: auto;
    padding: 100px 0;
}

.description h1{
    display: inline-block;
    font-size: 32px;
    font-weight: 400;
    margin: 0 auto 60px auto;
    color: #3c98ed;
}

.description h2{
    color: #3c98ed;
    font-size: 24px;
    font-weight: 800;
    margin: 40px auto 20px auto;
}

.description .bold {
    font-weight: 900;
    margin-bottom: 30px;
}

.description .subtitle {
    color: #3d4043;
    display: block;
    font-size: 18px;
    margin-bottom: 20px;
}

.description span {
    color: #3d4043;
    display: block;
    font-size: 16px;
}

.clear{
    width: 100%;
    height: 50px;
    display: block;
}

.description img{
    display: block;
    margin: auto;
}

.cookies-page{
    width: 90%;
    margin: auto;
    display: block;
}
